<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: rtl Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classtse__rgmii.html">tse_rgmii</a></li><li class="navelem"><a class="el" href="classtse__rgmii_1_1rtl.html">rtl</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rtl Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classtse__rgmii_1_1rtl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:ad88683d870fefe38ad5c861bf3415391"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad88683d870fefe38ad5c861bf3415391"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#ad88683d870fefe38ad5c861bf3415391">tse_rgmii_0002</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="enumtse__rgmii__0002.html">&lt;Entity tse_rgmii_0002&gt; </a></em></td></tr>
<tr class="memitem:a26ce24a6186535aa1bda259fecec75ef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a26ce24a6186535aa1bda259fecec75ef"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a26ce24a6186535aa1bda259fecec75ef">altera_eth_tse_pcs_pma_phyip</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  </td></tr>
<tr class="memitem:a138b86d7cee31f758022ba6c393289e8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a138b86d7cee31f758022ba6c393289e8"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a138b86d7cee31f758022ba6c393289e8">altera_xcvr_custom</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  </td></tr>
<tr class="memitem:a02003d953b89b623e1207728626d9a34"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a02003d953b89b623e1207728626d9a34"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a02003d953b89b623e1207728626d9a34">altera_eth_tse_phyip_terminator</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:aa41172398aca41603df9e8c7edb878a8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa41172398aca41603df9e8c7edb878a8"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#aa41172398aca41603df9e8c7edb878a8">i_tse_pcs_0_sd_loopback_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af3f27688edbd5548805f05999eaaf4cf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af3f27688edbd5548805f05999eaaf4cf"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#af3f27688edbd5548805f05999eaaf4cf">i_custom_phyip_0_rx_clkout_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aff1e80d1928f5267952dd29bae55cd87"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff1e80d1928f5267952dd29bae55cd87"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#aff1e80d1928f5267952dd29bae55cd87">i_custom_phyip_0_rx_disperr_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af00a85e6d5c210b44e7c8977fa7facb2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af00a85e6d5c210b44e7c8977fa7facb2"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#af00a85e6d5c210b44e7c8977fa7facb2">i_custom_phyip_0_tx_clkout_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a351482bc8b656e20f7e378e0727703ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a351482bc8b656e20f7e378e0727703ed"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a351482bc8b656e20f7e378e0727703ed">i_custom_phyip_0_rx_runningdisp_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0346f7b0121594bdd2a10d1b1f85d02f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0346f7b0121594bdd2a10d1b1f85d02f"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a0346f7b0121594bdd2a10d1b1f85d02f">i_custom_phyip_0_rx_parallel_data_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1ac45be98745713f5d21e9bc57ebe43c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ac45be98745713f5d21e9bc57ebe43c"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a1ac45be98745713f5d21e9bc57ebe43c">i_custom_phyip_0_rx_rlv_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adc47ea19422010ab89fdf06ac2928271"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adc47ea19422010ab89fdf06ac2928271"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#adc47ea19422010ab89fdf06ac2928271">i_custom_phyip_0_rx_errdetect_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a180b4820f505ea85c7f385d54ffb9df4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a180b4820f505ea85c7f385d54ffb9df4"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a180b4820f505ea85c7f385d54ffb9df4">i_tse_pcs_0_tx_frame_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a27936601d6fdd85fbb96452a45058762"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a27936601d6fdd85fbb96452a45058762"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a27936601d6fdd85fbb96452a45058762">i_custom_phyip_0_rx_patterndetect_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2c694212b0c56f7dc902278f5fa1f635"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c694212b0c56f7dc902278f5fa1f635"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a2c694212b0c56f7dc902278f5fa1f635">i_custom_phyip_0_rx_datak_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adea34bb884f6ec8e23de3e6149f37a9a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adea34bb884f6ec8e23de3e6149f37a9a"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#adea34bb884f6ec8e23de3e6149f37a9a">i_custom_phyip_0_rx_syncstatus_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a45da52252243a59e29873ad955015385"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a45da52252243a59e29873ad955015385"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a45da52252243a59e29873ad955015385">i_custom_phyip_0_rx_bitslipboundaryselectout_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8725a4332c8f52a616c13df385096650"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8725a4332c8f52a616c13df385096650"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a8725a4332c8f52a616c13df385096650">i_tse_pcs_0_tx_kchar_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ace4c5b137fe738e2e78fded9a845a248"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace4c5b137fe738e2e78fded9a845a248"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#ace4c5b137fe738e2e78fded9a845a248">i_custom_phyip_0_rx_rmfifodatainserted_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9d52c91e4165f0eb1d63f473c1bdbdd0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9d52c91e4165f0eb1d63f473c1bdbdd0"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a9d52c91e4165f0eb1d63f473c1bdbdd0">i_custom_phyip_0_rx_rmfifodatadeleted_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af3a6e15be4523b44b83361b41788ba35"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af3a6e15be4523b44b83361b41788ba35"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#af3a6e15be4523b44b83361b41788ba35">i_custom_phyip_0_tx_ready_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8ca023a7e2c3bd6cd28f112f7d1ab88b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ca023a7e2c3bd6cd28f112f7d1ab88b"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a8ca023a7e2c3bd6cd28f112f7d1ab88b">i_custom_phyip_0_tx_serial_data_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aed1ffea1fccbd6f8ac79b8d963fb9751"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed1ffea1fccbd6f8ac79b8d963fb9751"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#aed1ffea1fccbd6f8ac79b8d963fb9751">i_phyip_terminator_0_reconfig_to_xcvr_reconfig_to_xcvr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">139</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad69071f297c8af1b6acbc6036ccc0a99"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad69071f297c8af1b6acbc6036ccc0a99"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#ad69071f297c8af1b6acbc6036ccc0a99">i_custom_phyip_0_pll_locked_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aadbddcb295262cc5912143ee63a35820"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aadbddcb295262cc5912143ee63a35820"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#aadbddcb295262cc5912143ee63a35820">i_custom_phyip_0_reconfig_from_xcvr_reconfig_from_xcvr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">91</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8e77e46ba35c960cab87460c9fe93d93"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e77e46ba35c960cab87460c9fe93d93"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a8e77e46ba35c960cab87460c9fe93d93">i_custom_phyip_0_rx_ready_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad2bd33b878532be72c151bf4e29b7966"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2bd33b878532be72c151bf4e29b7966"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#ad2bd33b878532be72c151bf4e29b7966">i_phyip_terminator_0_rx_serial_data_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a49d74a92a7cc3ad84f98ab95c315295b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a49d74a92a7cc3ad84f98ab95c315295b"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a49d74a92a7cc3ad84f98ab95c315295b">i_custom_phyip_0_rx_recovered_clk_export</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae5680c58f3d4b8d1ec8bd848587e68c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae5680c58f3d4b8d1ec8bd848587e68c6"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#ae5680c58f3d4b8d1ec8bd848587e68c6">i_phyip_terminator_0_av_dummy_master_readdata</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a858094f3325684e4334a25284b5e0bf7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a858094f3325684e4334a25284b5e0bf7"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a858094f3325684e4334a25284b5e0bf7">i_phyip_terminator_0_av_dummy_master_waitrequest</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7c8cd7991d3fe9b0492cabafab7f7000"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c8cd7991d3fe9b0492cabafab7f7000"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a7c8cd7991d3fe9b0492cabafab7f7000">i_phyip_terminator_0_av_dummy_master_address</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a67ddd37fa2134800a7bd8b6df555ce31"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a67ddd37fa2134800a7bd8b6df555ce31"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a67ddd37fa2134800a7bd8b6df555ce31">i_phyip_terminator_0_av_dummy_master_read</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a707d86d43e96c1a686a6a86f09605417"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a707d86d43e96c1a686a6a86f09605417"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a707d86d43e96c1a686a6a86f09605417">i_phyip_terminator_0_av_dummy_master_writedata</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a725c617312c6bc751ad9beade9c4eae4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a725c617312c6bc751ad9beade9c4eae4"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a725c617312c6bc751ad9beade9c4eae4">i_phyip_terminator_0_av_dummy_master_write</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a9e050be5e3ac3dfe682ce1175b76b183"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e050be5e3ac3dfe682ce1175b76b183"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a9e050be5e3ac3dfe682ce1175b76b183">tse_rgmii_inst</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>tse_rgmii_0002</b>  <em><a class="el" href="enumtse__rgmii__0002.html">&lt;Entity tse_rgmii_0002&gt;</a></em></td></tr>
<tr class="memitem:a9e050be5e3ac3dfe682ce1175b76b183"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e050be5e3ac3dfe682ce1175b76b183"></a>
<a class="el" href="classtse__rgmii_1_1rtl.html#a9e050be5e3ac3dfe682ce1175b76b183">tse_rgmii_inst</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>tse_rgmii_0002</b>  <em><a class="el" href="enumtse__rgmii__0002.html">&lt;Entity tse_rgmii_0002&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="tse__rgmii_8BAK_8vhd_source.html#l00058">58</a> of file <a class="el" href="tse__rgmii_8BAK_8vhd_source.html">tse_rgmii.BAK.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/<a class="el" href="tse__rgmii_8BAK_8vhd_source.html">tse_rgmii.BAK.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/<a class="el" href="tse__rgmii_8vhd_source.html">tse_rgmii.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_sim/<a class="el" href="tse__rgmii__sim_2tse__rgmii_8vhd_source.html">tse_rgmii.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:36 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
